<?php
class MyProjets extends plxPlugin {
 
    public function __construct($default_lang){
    # Appel du constructeur de la classe plxPlugin (obligatoire)
    parent::__construct($default_lang);
    
    # Pour accéder à une page de configuration
    $this->setConfigProfil(PROFIL_ADMIN,PROFIL_MANAGER);

    # Pour accéder à une page d'administration
    $this->setAdminProfil(PROFIL_ADMIN,PROFIL_MANAGER);
    # Personnalisation du menu admin
    $this->setAdminMenu('My projets', 0, 'dépots de mes réalisations');

    # Déclaration des hooks

    $this->addHook('ThemeEndHead', 'ThemeEndHead');
    $this->addHook('ThemeEndBody', 'ThemeEndBody');
    $this->addHook('plxShowConstruct', 'plxShowConstruct');
    $this->addHook('plxMotorPreChauffageBegin', 'plxMotorPreChauffageBegin');
    $this->addHook('plxShowStaticListEnd', 'plxShowStaticListEnd');
    $this->addHook('plxShowPageTitle', 'plxShowPageTitle');
    $this->addHook('SitemapStatics', 'SitemapStatics');
    $this->addHook('AdminTopEndHead', 'AdminTopEndHead');
    $this->addHook('MyProjets', 'MyProjets');
    } 

    public function MyProjets(){

            $info = $this->getParam('texte_haut');
            $info2 = $this->getParam('texte_bas');

            if(!empty($info)){
                echo  $info; //info haut de page
            }
        
            $nb_membres = floor(sizeof($this->aParams)/7); // nombre de champs


            echo '<p><input type="text" class="quicksearch" placeholder="Rechercher un projet dans la liste..." /></p>';

            echo '<h5 class="red">Il y a '.($nb_membres - 1).' projets dans la base de données</h5>';

            

            echo '<div class="MyProjets">';
        
            for($i=$nb_membres; $i>0; $i--) { // boucle pour afficher les membres
                $nom = $this->getParam('nom'.$i);
                $article = $this->getParam('article'.$i);
                $description = $this->getParam('description'.$i);
                $link = $this->getParam('link'.$i);
                $label1 = $this->getParam('label1'.$i);
                $icon = $this->getParam('icon'.$i);
                $label2 = $this->getParam('label2'.$i);
                $champs1 = $this->getParam('champs1');
                $champs2 = $this->getParam('champs2');

                if(!empty($nom)) { 
                    ?>
                        <div class="element-item myprojet" >

                            <div class="myprojet_icon">

                            <a href="<?php echo plxUtils::strCheck($article) ?>" title="<?php echo plxUtils::strCheck($article) ?>">

                                <?php if (empty($icon)) {?>

                                    <img src="<?php echo PLX_PLUGINS ?>MyProjets/APP/noavatar.png" alt="logo" class="cover">

                                        <?php }else{ ?>

                                    <img src="<?php echo plxUtils::strCheck($icon) ?>" alt="icon" class="cover">
                                            
                                        <?php } ?></a>
                            </div>

                            <div class="myprojet_info">
                                <h3><a href="<?php echo plxUtils::strCheck($article) ?>" title="voir le plugin"><?php echo plxUtils::strCheck($nom) ?></a>
                                <br>
                                <span class="version"><?php echo plxUtils::strCheck($label1).plxUtils::strCheck($champs1)?></span>
                                </h3>
                                <p><?php echo $description; ?></p>
                                
                                
                            </div>

                            <div class="myprojet_dl">

                            <?php if (empty($link)) {

                                ?>
                                <p>Non disponible</p>
                                <?php
                     
                            }else{
                                ?>
                                    <p>
                                        <a href="<?php echo plxUtils::strCheck($link) ?>">Télécharger</a>
                                    </p>
                                <?php
                            } ?>
                                
                                <span><?php echo plxUtils::strCheck($label2).plxUtils::strCheck($champs2) ?></span>
                            </div>
                        </div>

                        <div class="cb"></div>
                <?php }           
            } 

            echo '</div>';

            if(!empty($info2)){
                echo $info2;//info haut de page
            }

    }

    public function AdminTopEndHead() { ?>
    
        <link rel="stylesheet" href="<?php echo PLX_PLUGINS ?>MyProjets/APP/admin_style.css">

    <?php
    }
    
    public function ThemeEndHead() { ?>
    
        <link rel="stylesheet" href="<?php echo PLX_PLUGINS ?>MyProjets/APP/style.min.css">

        
     <?php 
    }

    public function ThemeEndBody() { 

     $script = $this->getParam('script');
     if ($script == 'true') { echo'<script src="http://code.jquery.com/jquery-2.1.3.min.js"></script>';} 

     ?>

        <script src='<?php echo PLX_PLUGINS ?>MyProjets/APP/iso.js'></script>
        <script src="<?php echo PLX_PLUGINS ?>MyProjets/APP/index.js"></script>

    <?php
    }
   


      public function plxShowConstruct() {
        # infos sur la page statique
        $string  = "if(\$this->plxMotor->mode=='".$this->getParam('url')."') {";
        $string .= "    \$array = array();";
        $string .= "    \$array[\$this->plxMotor->cible] = array(
            'name'      => '".addslashes($this->getParam('Titre'))."',
            'menu'      => '',
            'url'       => 'projets',
            'readable'  => 1,
            'active'    => 1,
            'group'     => ''
        );";
        $string .= "    \$this->plxMotor->aStats = array_merge(\$this->plxMotor->aStats, \$array);";
        $string .= "}";
        echo "<?php ".$string." ?>";
    }

    public function plxMotorPreChauffageBegin() {
        $template = $this->getParam('template')==''?'static.php':$this->getParam('template');
        $string = "
        if(\$this->get && preg_match('/^".$this->getParam('url')."\/?/',\$this->get)) {
            \$this->mode = '".$this->getParam('url')."';
            \$prefix = str_repeat('../', substr_count(trim(PLX_ROOT.\$this->aConf['racine_statiques'], '/'), '/'));
            \$this->cible = \$prefix.'plugins/MyProjets/static';
            \$this->template = '".$template."';
            return true;
        }
        ";
        echo "<?php ".$string." ?>";
    }
    public function plxShowStaticListEnd() {
        # ajout du menu pour accèder à la page de Page
        if($this->getParam('mnuDisplay')) {
            echo "<?php \$class = \$this->plxMotor->mode=='".$this->getParam('url')."'?'active':'noactive'; ?>";
            echo "<?php array_splice(\$menus, ".($this->getParam('mnuPos')-1).", 0, '<li><a class=\"static '.\$class.'\" href=\"'.\$this->plxMotor->urlRewrite('?".$this->getParam('url')."').'\" title=\"".addslashes($this->getParam('Titre'))."\">".addslashes($this->getParam('Titre'))."</a></li>'); ?>";
        }
    }
    #Balise html <title>
    public function plxShowPageTitle() {
    echo '<?php
        if($this->plxMotor->mode == "'.$this->getParam('url').'") {
            echo "'.$this->getParam('Titre').' - ".plxUtils::strCheck($this->plxMotor->aConf["title"]);
            return true;
        }
    ?>';
    }
    #Référence la page de contact dans le sitemap
    public function SitemapStatics() {
        echo '<?php
        echo "\n";
        echo "\t<url>\n";
        echo "\t\t<loc>".$plxMotor->urlRewrite("?'.$this->getParam('url').'")."</loc>\n";
        echo "\t\t<changefreq>monthly</changefreq>\n";
        echo "\t\t<priority>0.8</priority>\n";
        echo "\t</url>\n";
        ?>';
    }

      
} // class MyProjets
?>
